Bug 124553 - [PATCH] net/rsync: time-limit patch
[PATCH] net/rsync: time-limit patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Emanuel Haupt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 14:20 UTC by adrian
Modified: 2008-06-26 15:52 UTC (History)
1 user (show)

See Also:


Attachments
rsync-3.0.2_1.patch (2.22 KB, patch)
2008-06-13 14:20 UTC, adrian
no flags Details | Diff
patchfile (1.07 KB, text/plain)
2008-06-26 13:40 UTC, adrian
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description adrian 2008-06-13 14:20:02 UTC
I discovered that the time-limit patch got removed... I google and could not find a reason, so I added it back in... It got removed from the port when it got up
graded to rsync version 3(port CVS rev 1.125), perhaps the patches were still out dated at the time. Unfortunently it broke my backup scripts. The patch seems t
o still be part of the distribution and seems to work quite ok for me...

I found that the patches flags and timelimit conflicted so in pre-patch if both are enabled i attempt to fix the flags patchfile. I'm not sure if this is the co
rrect way to do this, but i figure i learnt something inthe process... and if its wrong someone will let me know the correct way...


Added file(s):
- files/timelimit_fileflags_patch-proto.h

Port maintainer (ehaupt@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-06-13 14:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=124553 

Date: Mon, 16 Jun 2008 09:47:24 +0200
Comment 2 Emanuel Haupt freebsd_committer 2008-06-18 09:27:43 UTC
State Changed
From-To: open->feedback

Feedback requested.
Comment 3 Emanuel Haupt freebsd_committer 2008-06-26 14:14:06 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 4 dfilter freebsd_committer 2008-06-26 15:03:58 UTC
ehaupt      2008-06-26 14:03:48 UTC

  FreeBSD ports repository

  Modified files:
    net/rsync            Makefile 
  Log:
  Provide an optional "Time limit patch"
  
  PR:             124553
  Submitted by:   Adrian Thearle <adrian@thearle.com.au>
  
  Revision  Changes    Path
  1.135     +11 -2     ports/net/rsync/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Emanuel Haupt freebsd_committer 2008-06-26 15:04:27 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 Emanuel Haupt freebsd_committer 2008-06-26 15:24:09 UTC
> Hi Emanuel
> 
> Sorry it has taken me a little while to get back to you

No worries.
 
> Here is my much simpler patch for rsync to enable the time-limit
> patch while dealing with the clash with the flags patch just using an
> IGNORE
> 
> Let me know if it is what you were thinking

I committed it with minor modifications (default off).

Cheers,
Emanuel